untyped
global function NinjaSmokeInit

const float DEFAULT_CLOAKTIME = 1.8

void function NinjaSmokeInit()
{
	AddPrivateMatchModeSettingEnum( "#MODE_SETTING_CATEGORY_NINJA_SMOKE", "NINJASMOKE", [ "#SETTING_DISABLED", "#SETTING_ENABLED" ], "0" )
	AddPrivateMatchModeSettingArbitrary( "#MODE_SETTING_CATEGORY_NINJA_SMOKE", "CLOAKTIME", DEFAULT_CLOAKTIME.tostring() )
	#if SERVER
	if ( GetCurrentPlaylistVarInt("NINJASMOKE", 0) == 1 )
	{
		AddDamageCallbackSourceID( eDamageSourceId.mp_weapon_grenade_electric_smoke, AddCloakToSmokeOwner)
	}
	#endif
}

#if SERVER
void function AddCloakToSmokeOwner(entity target, var damageInfo)
{
	entity attacker = DamageInfo_GetAttacker( damageInfo )
	if(attacker == target && !attacker.IsTitan())
	{
		DamageInfo_SetDamage( damageInfo, 0 )
		EnableCloak( attacker, GetCurrentPlaylistVarFloat("CLOAKTIME", DEFAULT_CLOAKTIME) )	
	}
	
}
#endif